Bug 1129900 - [abrt] gnome-software: pango_default_break(): gnome-software killed by SIGSEGV
Summary: [abrt] gnome-software: pango_default_break(): gnome-software killed by SIGSEGV
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: pango
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Akira TAGOH
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:dd20befb234d96f69ea01ae5fd5...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-13 22:08 UTC by Elad Alfassa
Modified: 2014-10-15 12:24 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-15 12:24:28 UTC


Attachments (Terms of Use)
File: backtrace (142.19 KB, text/plain)
2014-08-13 22:09 UTC, Elad Alfassa
no flags Details
File: cgroup (190 bytes, text/plain)
2014-08-13 22:09 UTC, Elad Alfassa
no flags Details
File: core_backtrace (37.98 KB, text/plain)
2014-08-13 22:09 UTC, Elad Alfassa
no flags Details
File: dso_list (14.68 KB, text/plain)
2014-08-13 22:09 UTC, Elad Alfassa
no flags Details
File: environ (2.53 KB, text/plain)
2014-08-13 22:09 UTC, Elad Alfassa
no flags Details
File: exploitable (82 bytes, text/plain)
2014-08-13 22:09 UTC, Elad Alfassa
no flags Details
File: limits (1.29 KB, text/plain)
2014-08-13 22:09 UTC, Elad Alfassa
no flags Details
File: maps (71.85 KB, text/plain)
2014-08-13 22:09 UTC, Elad Alfassa
no flags Details
File: open_fds (1.66 KB, text/plain)
2014-08-13 22:09 UTC, Elad Alfassa
no flags Details
File: proc_pid_status (959 bytes, text/plain)
2014-08-13 22:09 UTC, Elad Alfassa
no flags Details
File: var_log_messages (1.81 KB, text/plain)
2014-08-13 22:09 UTC, Elad Alfassa
no flags Details

Description Elad Alfassa 2014-08-13 22:08:13 UTC
Description of problem:
Search for "code"

Version-Release number of selected component:
gnome-software-3.13.5-0.1.git5c89189.fc21

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        gnome-software
crash_function: pango_default_break
executable:     /usr/bin/gnome-software
kernel:         3.16.0-1.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 pango_default_break at break.c:645
 #1 pango_break at break.c:1688
 #2 get_items_log_attrs at pango-layout.c:3812
 #3 pango_layout_check_lines at pango-layout.c:4006
 #4 pango_layout_get_extents_internal at pango-layout.c:2587
 #5 pango_layout_get_extents at pango-layout.c:2782
 #6 gtk_label_get_measuring_layout at gtklabel.c:3251
 #7 gtk_label_get_preferred_layout_size at gtklabel.c:3596
 #8 gtk_label_get_preferred_size at gtklabel.c:3660
 #9 gtk_widget_query_size_for_orientation at gtksizerequest.c:180

Comment 1 Elad Alfassa 2014-08-13 22:09:18 UTC
Created attachment 926572 [details]
File: backtrace

Comment 2 Elad Alfassa 2014-08-13 22:09:20 UTC
Created attachment 926573 [details]
File: cgroup

Comment 3 Elad Alfassa 2014-08-13 22:09:23 UTC
Created attachment 926574 [details]
File: core_backtrace

Comment 4 Elad Alfassa 2014-08-13 22:09:25 UTC
Created attachment 926575 [details]
File: dso_list

Comment 5 Elad Alfassa 2014-08-13 22:09:27 UTC
Created attachment 926576 [details]
File: environ

Comment 6 Elad Alfassa 2014-08-13 22:09:28 UTC
Created attachment 926577 [details]
File: exploitable

Comment 7 Elad Alfassa 2014-08-13 22:09:29 UTC
Created attachment 926578 [details]
File: limits

Comment 8 Elad Alfassa 2014-08-13 22:09:34 UTC
Created attachment 926579 [details]
File: maps

Comment 9 Elad Alfassa 2014-08-13 22:09:35 UTC
Created attachment 926580 [details]
File: open_fds

Comment 10 Elad Alfassa 2014-08-13 22:09:37 UTC
Created attachment 926581 [details]
File: proc_pid_status

Comment 11 Elad Alfassa 2014-08-13 22:09:38 UTC
Created attachment 926582 [details]
File: var_log_messages

Comment 12 Kalev Lember 2014-09-20 13:33:38 UTC
Looks like a pango crash, reassigning.

Comment 13 Akira TAGOH 2014-10-15 08:41:44 UTC
How to reproduce this issue?

Comment 14 Elad Alfassa 2014-10-15 12:24:28 UTC
I can no longer reproduce this.


Note You need to log in before you can comment on or make changes to this bug.